Skip to main content
PATCH
Reschedules an existing nomination (deprecated)

Authorizations

Authorization
string
header
required

Access token obtained from the /oauth/token endpoint using your client credentials.

Path Parameters

clientReference
string
required

Your company's unique reference for the nomination to reschedule.

Minimum string length: 1

Body

application/json

Request body for rescheduling a nomination (deprecated — use the Upsert Nomination endpoints instead).

estimatedTimeOfBunkering
string<date-time>

New estimated bunkering time, in port local time.

estimatedBunkeringDurationInMinutes
integer<int32>

New expected duration in minutes.

supplierAsset
object

Supplier asset identification.

Response

OK

Response returned after rescheduling a nomination.

clientReference
string

Your company's unique identifier for the nomination.

status
enum<string>

Status of the nomination after rescheduling.

Possible values:

  • supplier_requested — Supplier has been requested for this nomination.
  • supplier_unassigned — Nomination has no supplier assigned.
  • supplier_assigned — Supplier has been assigned to the nomination.
  • operation_started — Bunkering operation has started.
  • cancelled — Nomination has been cancelled.
  • accepted — Nomination has been accepted by the supplier.
  • amended — Nomination has been amended. Not currently returned as a nomination's current status; accept it for forward compatibility.
Available options:
supplier_requested,
supplier_unassigned,
supplier_assigned,
operation_started,
cancelled,
accepted,
amended
lastChangedAtUtc
string<date-time>

Timestamp (UTC) of the last change to the nomination.